---
title: XRReferenceSpaceEventInit
slug: Web/API/XRReferenceSpaceEventInit
tags:
  - API
  - AR
  - Configuration
  - Dictionary
  - Mixed
  - Options
  - Reality
  - Reference
  - Settings
  - VR
  - Virtual
  - WebXR
  - WebXR API
  - WebXR Device API
  - XR
  - XRReferenceSpaceEventInit
  - augmented
---
<p>{{APIRef("WebXR Device API")}}{{SecureContext_header}}</p>

<p>The <code><strong>XRReferenceSpaceEventInit</strong></code> dictionary is used when calling the {{domxref("XRReferenceSpaceEvent.XRReferenceSpaceEvent", "XRReferenceSpaceEvent()")}} constructor to provide the values for its properties. Since the properties are read-only, this is the only opportunity available to set their values.</p>

<p>You will not usually need to use this, since these events are created by the WebXR infrastructure.</p>

<h2 id="Properties">Properties</h2>

<dl>
 <dt>{{domxref("XRReferenceSpaceEventInit.referenceSpace", "referenceSpace")}}</dt>
 <dd>The {{domxref("XRReferenceSpace")}} from which the event originated.</dd>
 <dt>{{domxref("XRReferenceSpaceEventInit.transform", "transform")}}</dt>
 <dd>An {{domxref("XRRigidTransform")}} which maps the old coordinate system (from before the changes indicated by this event) to the new coordiante system.</dd>
</dl>

<h2 id="Usage_notes">Usage notes</h2>

<p>All of this dictionary's properties must have valid values set on them before calling the {{domxref("XRReferenceSpaceEvent.XRReferenceSpaceEvent", "XRReferenceSpaceEvent()")}} constructor.</p>

<h2 id="Examples">Examples</h2>

<p>This simple snippet calls the constructor to create a new reference space event of type {{domxref("XRReferenceSpace.reset_event", "reset")}}.</p>

<pre class="brush: js">let refSpaceEvent = new XRReferenceSpaceEvent("reset", {
      referenceSpace: myRefSpace,
      transform: myTransform
});
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebXR','#dictdef-xrreferencespaceeventinit','XRReferenceSpaceEventInit')}}</td>
   <td>{{Spec2('WebXR')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div class="hidden">
<p>The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>
</div>

<p>{{Compat("api.XRReferenceSpaceEventInit")}}</p>
